html {
	box-sizing: border-box;
}

*,
*:before,
*:after {
	box-sizing: inherit;
}

body {
	position: relative;
	margin: 0;
	padding: 0;

	color: #7d7d7d;
	font-family: 'Roboto', Verdana, Arial, sans-serif;
	font-size: 16px;
	text-align: center;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;

	background-color: #772264;
	overflow: hidden;

	display: flex;
	flex-direction: column;

	position: fixed;
	inset: 0;
}

.content {
	flex: 1;

	position: relative;
	width: 100vw;
	/* height: 100vh; */

	display: flex;
	flex-direction: column;

	margin: 0;
}

	.logo {
		position: absolute;
		top: 24px;
		left: 24px;

		width: 80px;

		z-index: 200;
		transition: all 0.3s ease-in-out;
	}

		.logo svg {
			width: 100%;
			height: 100%;
			object-fit: contain;
			object-position: center;
		}

.section {
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	text-decoration: none;
	padding: 0 20px;

	flex: 1;
}

	.section__content {
		position: relative;
		z-index: 200;
		transition: all 0.3s ease-in-out;

		display: flex;
		align-items: center;
		justify-content: center;
		flex-direction: column;

		width: 100%;
	}

.section+.section {
	background-color: #3B1882;
}

	.tilburg-active .section--tilburg {
		padding-top: 60px;
		padding-bottom: 30px;
	}

	.eindhoven-active .section--tilburg {
		padding-top: 40px;
	}

	.eindhoven-active .section--eindhoven {
		padding-top: 30px;
	}

	.tilburg-active .section--tilburg {
		background-image: url('assets/bg-tilburg.jpg');
		background-size: cover;
		background-position: center;
		background-repeat: no-repeat;
	}

	.tilburg-active .section--tilburg::before {
		content: "";
		position: absolute;
		inset: 0;

		background: linear-gradient(90deg, #772264 0%, rgba(227, 10, 125, 0.50) 52.88%, rgba(119, 34, 100, 0.10) 100%);
		z-index: 10;
	}

	.eindhoven-active .section--eindhoven {
		background-image: url('assets/bg-eindhoven.jpg');
		background-size: cover;
		background-position: center;
		background-repeat: no-repeat;
	}

	.eindhoven-active .section--eindhoven::before {
		content: "";
		position: absolute;
		inset: 0;

		background: linear-gradient(270deg, #3B1882 0%, rgba(59, 24, 130, 0.50) 52.88%, rgba(59, 24, 130, 0.10) 100%);
		z-index: 10;
	}

	a.section:hover .section__content {
		transform: scale(1.05);
	}

@media only screen and (min-width: 400px) and (max-width: 1280px) {
	.tilburg-active .section--tilburg,
	.eindhoven-active .section--eindhoven {
		flex: 1;
	}

	.eindhoven-active .section--eindhoven {
		padding-top: 50px;
	}

	.tilburg-active .section--eindhoven {
		height: 40%;
	}

	.eindhoven-active .section--tilburg {
		height: calc(45% + 50px);
		padding-top: 50px;
	}
}


.slogan {
	width: 70%;
	/* width: 80%; */
	margin-bottom: 24px;
}

	.slogan img,
	.slogan svg {
		width: 100%;
		height: 100%;
		object-fit: contain;
		object-position: center;
	}

.btn {
	position: relative;
	display: flex;
	align-items: center;
	justify-content: space-around;
	gap: 1rem;

	background-color: #FFF;
	border-radius: 30px;
	color: #663366;
	padding: 14px 20px;
	font-weight: 800;
	line-height: 1;
}

.btn--ghost {
	background-color: transparent;
	border: 2px solid rgba(255, 255, 255, 0.3);
	color: #FFF;
}

.curve {
	display: none;
	z-index: 100;
	overflow: hidden;
}

	.curve.mobile {
		position: absolute;
		left: 0;
		right: 0;

		width: 100%;
		height: 80px;
	}

	.curve--tilburg.mobile {
		bottom: 0;
		transform: translateY(0px) scale(-1, -1);
		transform-origin: bottom;
	}

	.curve--eindhoven.mobile {
		top: 0;
		transform: translateY(-100%);
	}

	.curve.mobile svg {
		width: 100%;
	}

	.curve.desktop {
		display: none;
	}


.tilburg-active .section--eindhoven .curve--eindhoven.mobile {
	display: block;
}

.eindhoven-active .section--tilburg .curve--tilburg.mobile {
	display: block;
}

@media only screen and (min-width: 400px) {
	body {
		font-size: 18px;
	}

	.logo {
		width: 100px;
	}

	.slogan {
		width: 100%;
		max-width: 280px;
	}

	.btn {
		justify-content: flex-start;
		width: 100%;
		max-width: 280px;
	}

		.btn:not(:has(i)) {
			justify-content: center;
		}

		.btn i {
			position: absolute;
			top: 50%;
			right: 20px;

			transform: translateY(-50%);
		}

	.section {
		padding-top: 0;
		padding-bottom: 0;
	}
}

@media only screen and (min-width: 1280px) {
	body {
		font-size: 20px;
	}

	.logo {
		top: 40px;
		left: 40px;

		width: 120px;
	}

	.btn,
	.slogan {
		width: 100%;
		max-width: 350px;
	}

	.content {
		display: grid;
	}

	.tilburg-active .content {
		grid-template-columns: 1fr 32%;
	}

	.eindhoven-active .content {
		grid-template-columns: 30% 1fr;
	}

		.section {
			padding: 0;
			height: 100%;
		}

			.eindhoven-active .section--eindhoven .section__content {
				padding-left: 100px;
			}

			.eindhoven-active .section--tilburg .section__content {
				padding-left: 24px;
			}

			.tilburg-active .section--eindhoven .section__content {
				padding-right: 30px;
			}

			.tilburg-active .section--tilburg .section__content {
				padding-right: 60px;
			}

			.curve.mobile {
				display: none;
			}

			.curve.desktop {
				position: absolute;
				top: 0;

				height: 100%;

			}

			.tilburg-active .curve--eindhoven.desktop {
				display: block;
				left: 0;
				width: 119px;
				transform: translateX(-70%);
			}

			.eindhoven-active .curve--tilburg.desktop {
				display: block;
				right: 0;
				width: 119px;
				transform: translateX(-10px) scale(-1, -1);
				transform-origin: right;
			}
}